package com.community.pocket.ui.main.ui.forum.news;

import androidx.annotation.StringRes;

import com.community.pocket.R;
import com.community.pocket.data.model.Forum;
import com.community.pocket.ui.main.ui.share.Response;
import com.community.pocket.util.CustomMessage;

import org.jetbrains.annotations.NotNull;

import java.util.List;

/**
 * 最新帖子响应实体
 */
public class ForumNewResponse extends Response<ForumNewResponse.Msg> {
    private List<Forum> forumList;

    enum Msg implements CustomMessage {
        ok(R.string.load_forum_new_ok),
        fail(R.string.load_forum_new_fail);


        private Integer msg;

        Msg(@StringRes Integer msg) {
            this.msg = msg;
        }

        @NotNull
        @Override
        public Integer getMsg() {
            return msg;
        }
    }

    List<Forum> getForumList() {
        return forumList;
    }

    public void setForumList(List<Forum> forumList) {
        this.forumList = forumList;
    }
}
